apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: hello-world-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
    nginx.ingress.kubernetes.io/use-regex: "true"
    nginx.ingress.kubernetes.io/rewrite-target:  /CHANGEME/$2
spec:
  rules:
    - host: 20.76.184.185.nip.io
      http:
        paths:
          - path: /CHANGEME/hello-world(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: hello-test
                port:
                  number: 8080
          - path:  /CHANGEME(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: hello-test
                port:
                  number: 8080

